WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vpx_svc_parameters Struct Reference
WebM VP8 Encoder

vp9 svc parameters More...

`#include <vp8cx.h>`

## Data Fields
unsigned int | width
unsigned int | height
int | layer
int | flags
int | max_quantizer
int | min_quantizer
int | distance_from_i_frame
int | lst_fb_idx
int | gld_fb_idx
int | alt_fb_idx

## Detailed Description

vp9 svc parameters

This defines parameters for svc encoding.

## Field Documentation

unsigned int vpx_svc_parameters::width

width of current spatial layer

unsigned int vpx_svc_parameters::height

height of current spatial layer

int vpx_svc_parameters::layer

current layer number - 0 = base

int vpx_svc_parameters::flags

encode frame flags

int vpx_svc_parameters::max_quantizer

max quantizer for current layer

int vpx_svc_parameters::min_quantizer

min quantizer for current layer

int vpx_svc_parameters::distance_from_i_frame

frame number within current gop

int vpx_svc_parameters::lst_fb_idx

last frame frame buffer index

int vpx_svc_parameters::gld_fb_idx

golden frame frame buffer index

int vpx_svc_parameters::alt_fb_idx

alt reference frame frame buffer index

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h